Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005769 [JEDI VCL] 00 JVCL Components feature N/A 2012-01-20 11:53 2012-09-10 14:15
Reporter bongos View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.40
Summary 0005769: TjvArrowButton - Assign Glyph from Action
Description Would it be possible to get TjvArrowButton to automatically load a glyph from an action when the button is assigned an action as per a TSpeedbutton?

This is just very useful when a list of options is shown in the dropdown assigned, but the main action of the button is changed on the fly to represent the default action from the dropdown.
Additional Information
Tags No tags attached.
Attached Files zip file icon JVArrowButton.zip [^] (11,217 bytes) 2012-02-23 09:38

- Relationships

-  Notes
(0019459)
obones (administrator)
2012-02-22 15:05

Please provide the zipped sources of a sample application showing this
(0019484)
bongos (reporter)
2012-02-23 09:38

Please see the attached demo project.
(0019885)
Arioch (developer)
2012-06-11 23:05

side note

I find the arrow button rather inconsistent.
For example it's HotTrack properties are strangely named FillFont, out of line with other components.
For example SplitArrow property is not immediately applied in design-time.

It is possible that our project would use it (ToolBar97 is to be dumped and DevExpress does not offer that functionality). If that be, i think in a month or two i would try to merge it with TJvBitBtn.
(0019934)
obones (administrator)
2012-06-12 17:22

This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2012-01-20 11:53 bongos New Issue
2012-02-22 15:05 obones Note Added: 0019459
2012-02-22 15:05 obones Status new => feedback
2012-02-23 09:38 bongos File Added: JVArrowButton.zip
2012-02-23 09:38 bongos Note Added: 0019484
2012-06-11 17:44 obones Status feedback => acknowledged
2012-06-11 23:05 Arioch Note Added: 0019885
2012-06-12 17:22 obones Note Added: 0019934
2012-06-12 17:22 obones Status acknowledged => resolved
2012-06-12 17:22 obones Fixed in Version => Daily / SVN
2012-06-12 17:22 obones Resolution open => fixed
2012-06-12 17:22 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker